#!/bin/sh


# Verifica se o caminho /usr/bin est no PATH.
ide=`echo $PATH | grep ":/usr/bin:"`

if [ -z $ide ]
then
  $PATH=$PATH:/usr/bin
fi

EID_DIR="$HOME/.eid"
# Verifica se o diretorio $EID_DIR existe
if ! [ -d $EID_DIR ]
then
	if mkdir $EID_DIR
	then
		echo "Diretrio $EID_DIR criado"
	else
		exit -1
	fi
fi

read -p "Informe o caminho para o arquivo PKCS#12 (.p12): " p12Path
if openssl pkcs12 -in "$p12Path" -clcerts -nokeys -out ~/.eid/authorized_certificates
then
  echo "Exportacao OK"
else
  echo "Falha na exportacao"
fi
