#!/bin/sh

# Verifica se o caminho /usr/bin est no PATH.
ide=`echo $PATH | grep ":/usr/bin:"`

if [ -z $ide ]
then
  $PATH=$PATH:/usr/bin
fi

EID_DIR="$HOME/.eid"
# Verifica se o diretorio $EID_DIR existe
if ! [ -d $EID_DIR ]
then
	if mkdir $EID_DIR
	then
		echo "Diretrio $EID_DIR criado"
	else
		exit -1
	fi
fi
								     
if pkcs15-tool -c
then
  echo "+++++++++++++++++++++++++++++++++++++++++++"
  read -p "ID do certificado a exportar: " id
  if pkcs15-tool -r $id >> ~/.eid/authorized_certificates
  then
    echo -e "\nCertificado de ID=$id exportado com sucesso"
  fi
fi

